commentlist shows logged in user's icon for anonymous comments

Bug #1300289 reported by Brian King on 2014-03-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
1.8
Medium
Robert Lyon
1.9
Medium
Robert Lyon

Bug Description

How to verify bug:

* Share a view that allows comments with a secret URL
* As a non-logged in user, leave a comment
* As the logged in user who shared the view, look at the comments on the view. You will see your profile icon next to the link of the anonymous user's comment

Mahara 1.8.

Brian King (brian-king-s) wrote :

I have a proposed patch ... will update tomorrow.

Brian King (brian-king-s) wrote :

Added patch.

This shows the generic notfound icon for a comment when there is no user account associated with the comment.

Brian King (brian-king-s) wrote :
Robert Lyon (robertl-9) on 2014-04-06
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 1.10.0
Robert Lyon (robertl-9) on 2014-04-06
Changed in mahara:
status: New → Confirmed
importance: Undecided → Medium
Robert Lyon (robertl-9) wrote :

Hi Brian,

Thank you for the patch.

I've taken the patch you supplied and simplified it a little bit so that if no user is passed to profile_icon_url it gives us the
no_userphoto icon rather than needing a new Dwoo function to handle this.

See https://reviews.mahara.org/#/c/3202/

Cheers

Robert

Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3202
Committed: http://gitorious.org/mahara/mahara/commit/347e0a8e2ec4d84c24c636f5a96673e14f455ef6
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 347e0a8e2ec4d84c24c636f5a96673e14f455ef6
Author: Robert Lyon <email address hidden>
Date: Mon Apr 7 10:20:56 2014 +1200

Anonymous comments not showing the correct profile icon (Bug #1300289)

The anonymous comments should show the no_userphoto icon.

I've taken the patch supplied by Brian King and simplified it a bit so
that if no user is supplied to profile_icon_url it gives us the
no_userphoto icon rather than needing a new Dwoo function to handle
this.

Change-Id: I469fad4532b3ae91e1d673ec33d04d04c4fc3c7d
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2014-04-09
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3215

Reviewed: https://reviews.mahara.org/3215
Committed: http://gitorious.org/mahara/mahara/commit/8c15561ab36547ad06bd5a745174832d546c9869
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 8c15561ab36547ad06bd5a745174832d546c9869
Author: Robert Lyon <email address hidden>
Date: Mon Apr 7 10:20:56 2014 +1200

Anonymous comments not showing the correct profile icon (Bug #1300289)

The anonymous comments should show the no_userphoto icon.

I've taken the patch supplied by Brian King and simplified it a bit so
that if no user is supplied to profile_icon_url it gives us the
no_userphoto icon rather than needing a new Dwoo function to handle
this.

Change-Id: I469fad4532b3ae91e1d673ec33d04d04c4fc3c7d
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) wrote :

For the record, the patch that caused this regression was https://reviews.mahara.org/#/c/2347/ , Evonne's big theme patch. It appears she just accidentally removed an "if" clause from the comment template.

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3214
Committed: http://gitorious.org/mahara/mahara/commit/f4f888d5acff29ff6636ffe5674bd25f2f3de038
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.8_STABLE

commit f4f888d5acff29ff6636ffe5674bd25f2f3de038
Author: Robert Lyon <email address hidden>
Date: Mon Apr 7 10:20:56 2014 +1200

Anonymous comments not showing the correct profile icon (Bug #1300289)

The anonymous comments should show the no_userphoto icon.

I've taken the patch supplied by Brian King and simplified it a bit so
that if no user is supplied to profile_icon_url it gives us the
no_userphoto icon rather than needing a new Dwoo function to handle
this.

Change-Id: I469fad4532b3ae91e1d673ec33d04d04c4fc3c7d
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers